UHD 003.005.002-0-unknown

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros
Public Member Functions | List of all members
uhd::not_implemented_error Struct Reference

`#include <exception.hpp>`

Inheritance diagram for uhd::not_implemented_error:

## Public Member Functions
| not_implemented_error (const std::string &what)
virtual unsigned | code (void) const
virtual not_implemented_error * | dynamic_clone (void) const
virtual void | dynamic_throw (void) const
Public Member Functions inherited from uhd::runtime_error
| runtime_error (const std::string &what)
Public Member Functions inherited from uhd::exception
| exception (const std::string &what)

## Constructor & Destructor Documentation

uhd::not_implemented_error::not_implemented_error | ( | const std::string & | what | ) |

## Member Function Documentation

virtual unsigned uhd::not_implemented_error::code | ( | void |  | ) | const
| virtual

Reimplemented from uhd::runtime_error.

virtual not_implemented_error* uhd::not_implemented_error::dynamic_clone | ( | void |  | ) | const
| virtual

Reimplemented from uhd::runtime_error.

virtual void uhd::not_implemented_error::dynamic_throw | ( | void |  | ) | const
| virtual

Reimplemented from uhd::runtime_error.

The documentation for this struct was generated from the following file:

- include/uhd/exception.hpp